/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2016 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
/***********************************************************************************
/* Due to deprecation of sap_goldreflection with SAPUI5 version 1.38
/* the library.source.less coding of base is directly at the top section of the
/* control less files and no longer imported within this library.source.less file.
/* This decoupling of the base theme is introduced with SAPUI5 version 1.44.
***********************************************************************************/
/* =========================== */
/* Global CSS for 'base' theme */
/* =========================== */
/* transparent; */
/* transparent; */
/* transparent; */
/* Global CSS for 'sap_goldreflection' theme */
/* ---------------------------------------------------------------------------------------- */
/* ===================================== */
/* Chart Colors                         */
/* ===================================== */
/* Semantic Chart Colors */
/* Note Explicit UX decision not to derive from @sapUiCritical, ... */
/* Accent Chart Colors */
/* Sequential Chart Colors */
/* Derived Chart Colors */
/* Shell */
/* Exact */
/* Approved by UX to use a hard coded color value for this */
/* Crystal Blue value set by UX: */
/* NotificationBar */
/* The maximized height will be calculated corresponding to the window's height.*/
/* ToolPopup */
/* transparent; */
/*******************************************************************************
/* Due to deprecation of sap_goldreflection with SAPUI5 version 1.38
/* the less file of base is directly at the top section of this file
/* and no longer imported within the library.source.less file. This decoupling
/* of the base theme is introduced with SAPUI5 version 1.44.
*******************************************************************************/
/*******************************************************************************
/* Start of base section
*******************************************************************************/
/*******************************************************************************
 * TABLE PARAMETERS
 ******************************************************************************/
/* should be one of the sap.m.ToolbarDesign enumeration */
/*
 * BEHAVIOR CLASSES:
 * -----------------
 * sapUiTableVScr   - display vertical scrollbar
 * sapUiTableHScr   - display horizontal scrollbar
 * sapUiTableRSel   - display row selector column
 * sapUiTableCHdr   - display column header row
 * sapUiTableEmpty  - display the empty table message
 */
/*******************************************************************************
 * BOX SIZING FOR TABLE!
 ******************************************************************************/
.sapUiTable,
.sapUiTableHdr,
.sapUiTableTbr,
.sapUiTableExt,
.sapUiTableFtr,
.sapUiTableCnt,
.sapUiTableColRowHdr,
.sapUiTableColRowHdrIco,
.sapUiTableColHdrScr,
.sapUiTableColHdr,
.sapUiTableCol,
.sapUiTableColRsz,
.sapUiTableRowHdrScr,
.sapUiTableRowHdr,
.sapUiTableCtrlScr,
.sapUiTableCtrlCnt,
.sapUiTableCtrl,
.sapUiTableTr,
.sapUiTableTr > th,
.sapUiTableTr > td,
.sapUiTableCtrlEmpty,
.sapUiTableOverlayArea,
.sapUiTableCell,
.sapUiTableVSb,
.sapUiTableHSb {
  box-sizing: border-box;
}
.sapUiTableVSb {
  overflow-x: hidden;
  overflow-y: scroll;
  width: 16px;
}
.sapUiTableHSb {
  overflow-x: scroll;
  overflow-y: hidden;
}
.sapUiTableHSbContent {
  height: 1px;
}
.sapUiTableVSbContent {
  width: 1px;
}
/*******************************************************************************
 * TABLE SECTIONS
 ******************************************************************************/
.sapUiTable {
  color: #000000;
  position: relative;
}
.sapUiTableHScr .sapUiTableFtr {
  border-top: 1px solid #cccccc;
}
.sapUiTableFtr {
  border-bottom: 1px solid #cccccc;
  border-left: 1px solid #cccccc;
  border-right: 1px solid #cccccc;
}
.sapUiTableCnt.sapUiLocalBusy > div:nth-last-child(2) {
  border-bottom: 1px solid #cccccc;
}
.sapUiTableCnt > div.sapUiLocalBusyIndicator {
  border-bottom: none;
}
.sapUiTableHdr,
.sapUiTableFtr {
  padding: 0px 10px;
  height: 22px;
  background-color: #f2f2f2;
}
.sapUiTableHdr {
  font-weight: bold;
}
.sapUiTableHdrTitle {
  font-size: 20px;
  font-weight: bold;
  color: #333333;
}
.sapUiTableTbr {
  height: 25px;
  border-bottom: none;
}
.sapUiTableExt {
  border-bottom: none;
}
.sapUiTableTbr .sapUiTb,
.sapUiTableTbr .sapUiTbCont {
  border: none;
}
/*******************************************************************************
 * TABLE CONTROL
 ******************************************************************************/
.sapUiTableCnt {
  position: relative;
  overflow: hidden;
  /* avoid scrollbar for column resize handlers */
  border-left: 1px solid #cccccc;
  border-right: 1px solid #cccccc;
}
.sapUiTableCCnt {
  position: relative;
  overflow: hidden;
  border-bottom: 1px solid #cccccc;
}
/* Since in visibleRowCountMode=Auto, the table has no height, the overlay must be applied to every child div
 of the table root div. Because they have some borders and margins applied, the strech the overlay by 2 pixels to top and
 bottom to be able to cover margins and borders*/
.sapUiTable.sapUiTableOverlay > div:after {
  content: '';
  z-index: 9;
  /* same as sapUiOverlay */
  background-color: rgba(242, 242, 242, 0.8);
  position: absolute;
  top: -2px;
  left: 0;
  right: 0;
  bottom: -2px;
  /* same as sapUiOverlay */
}
.sapUiTableOverlay .sapUiTableHdr,
.sapUiTableOverlay .sapUiTableTbr,
.sapUiTableOverlay .sapUiTableExt,
.sapUiTableOverlay .sapUiTableFtr,
.sapUiTableOverlay .sapUiTableColHdrCnt,
.sapUiTableOverlay .sapUiTableColRsz,
.sapUiTableOverlay .sapUiTableCCnt,
.sapUiTableOverlay .sapUiTableHSb {
  pointer-events: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.sapUiTable.sapUiTableOverlay > div {
  position: relative;
}
.sapUiTableOverlay .sapUiTableOverlayArea,
.sapUiTableOverlay .sapUiTableOuterBefore,
.sapUiTableOverlay .sapUiTableOuterAfter {
  display: block;
}
/* COL HEADER */
.sapUiTableColHdrCnt {
  display: none;
  position: relative;
  background-color: #f2f2f2;
  max-width: 100%;
  overflow: hidden;
  white-space: nowrap;
  border-top: 1px solid #cccccc;
  border-bottom: 1px solid #cccccc;
}
.sapUiTableRSel .sapUiTableColHdrCnt > .sapUiTableColRowHdr {
  display: inline-block;
}
.sapUiTableCol,
.sapUiTableHasNoColumns {
  min-height: 28px;
}
.sapUiTableCHdr .sapUiTableColHdrCnt {
  display: block;
}
.sapUiTableColHdrScr {
  height: 100%;
  display: inline-block;
  overflow: hidden;
  margin: 0;
  vertical-align: top;
  white-space: nowrap;
}
.sapUiTableColHdrFixed {
  display: inline-block;
  vertical-align: top;
}
.sapUiTableVScr .sapUiTableCtrlScr {
  margin-right: 16px;
}
html[data-sap-ui-browser^="ed"] .sapUiTableVScr .sapUiTableCtrlScr {
  margin-right: 12px;
}
/* Hide last border right of column header
	and cell when no vertical scroll is available */
.sapUiTable:not(.sapUiTableVScr) .sapUiTableColHdrScr .sapUiTableCol:last-child,
.sapUiTable:not(.sapUiTableVScr) .sapUiTableCtrlScroll .sapUiTableTr > td:last-child {
  border-right: none;
}
.sapUiTableCtrlCol > th > * {
  display: none;
}
.sapUiTableColCell {
  position: relative;
}
.sapUiTableColCell,
.sapUiTableColRowHdrIco {
  text-overflow: ellipsis;
  overflow: hidden;
  padding: 0 8px;
  vertical-align: middle;
  white-space: normal;
}
.sapUiTableColRowHdr {
  display: none;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  width: 22px;
}
.sapUiTableRSel .sapUiTableRowHdrScr .sapUiTableColRowHdr {
  display: block;
}
.sapUiSizeCozy .sapUiTableColRowHdr.sapUiTableSelAllEnabled,
.sapUiSizeCozy .sapUiTableRowHdr {
  width: 3rem;
}
.sapUiTableAriaRowSel {
  font-size: 0;
}
.sapUiTableColRowHdrIco {
  height: 18px;
  width: 100%;
  text-align: center;
  background-repeat: no-repeat;
  background-position: center center;
}
/* ROW HEADER */
.sapUiTableRowHdrScr {
  display: none;
  position: absolute;
  top: 0px;
  left: 0px;
  width: 22px;
}
.sapUiTableRSel .sapUiTableRowHdrScr {
  display: block;
}
/* TABLE */
.sapUiTableCtrlScr {
  position: relative;
  margin: 0;
  overflow: hidden;
}
.sapUiTableCtrlCol {
  /* row defining the width of the cols */
  height: 0px !important;
  margin: 0;
  padding: 0;
  border: none;
}
.sapUiTableCtrlCol > th {
  height: inherit;
  margin: 0;
  padding: 0;
  border: none;
}
.sapUiTableCtrl {
  position: relative;
  table-layout: fixed;
  width: 100%;
  border-collapse: separate;
  border-spacing: 0;
  margin: 0;
  padding: 0;
}
.sapUiTableCtrl tr {
  height: 28px;
}
.sapUiTableResizing .sapUiTableCtrlCnt tr {
  pointer-events: none;
}
.sapUiTableTr > td {
  padding: 0;
  vertical-align: middle;
}
.sapUiTableCtrlScrFixed {
  float: left;
}
.sapUiTableCtrlScrFixed,
.sapUiTableColHdrFixed {
  max-width: 100%;
  overflow: hidden;
}
.sapUiTableCell {
  height: inherit;
  text-overflow: ellipsis;
  overflow: hidden;
  padding: 0 0.5rem;
  white-space: nowrap;
}
.sapUiTableCellFlex {
  display: flex;
}
.sapUiTableRowHidden .sapUiTableCell,
.sapUiTableCellHidden .sapUiTableCell {
  visibility: hidden;
  /* hidden row (no content) */
}
.sapUiTableNoOpacity {
  opacity: 0;
  overflow: hidden;
}
.sapUiTableColSF::after {
  /* sort and filter */
  content: "";
  position: absolute;
  right: 0;
  font-family: SAP-Icons;
  font-size: 0.75rem;
  padding-right: 0.375rem;
}
.sapUiSizeCozy .sapUiTableColSF::after {
  line-height: 3rem;
}
/* show different icon combinations */
.sapUiTableColSorted::after {
  content: "\e1fd";
}
.sapUiTableColSortedD::after {
  content: "\e1fc";
}
.sapUiTableColFiltered::after {
  content: "\e076";
}
.sapUiTableColFiltered.sapUiTableColSorted::after {
  content: "\e076\00a0\e1fd";
}
.sapUiTableColFiltered.sapUiTableColSortedD::after {
  content: "\e076\00a0\e1fc";
}
.sapUiTableColCell.sapUiTableColSorted,
.sapUiTableColCell.sapUiTableColFiltered {
  padding-right: 24px;
}
.sapUiTableColCell.sapUiTableColSorted.sapUiTableColFiltered {
  padding-right: 38px;
}
.sapUiTableCtrlEmpty,
.sapUiTableOverlayArea {
  display: none;
  position: absolute;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  text-align: center;
}
.sapUiTableCtrlEmpty {
  background-color: #f2f2f2;
}
.sapUiTableOverlayArea {
  background-color: transparent;
  z-index: 10;
}
.sapUiTableOverlayArea:focus,
.sapUiTableCtrlEmpty:focus {
  outline-width: 1px;
  outline-style: dotted;
  outline-offset: -3px;
  outline-color: #000000;
}
html[data-sap-ui-browser^="ie"] .sapUiTableOverlayArea:focus,
html[data-sap-ui-browser^="ed"] .sapUiTableOverlayArea:focus,
html[data-sap-ui-browser^="ie"] .sapUiTableCtrlEmpty:focus,
html[data-sap-ui-browser^="ed"] .sapUiTableCtrlEmpty:focus {
  outline-width: 0px;
}
html[data-sap-ui-browser^="ie"] .sapUiTableOverlayArea:focus:before,
html[data-sap-ui-browser^="ed"] .sapUiTableOverlayArea:focus:before,
html[data-sap-ui-browser^="ie"] .sapUiTableCtrlEmpty:focus:before,
html[data-sap-ui-browser^="ed"] .sapUiTableCtrlEmpty:focus:before {
  position: absolute;
  top: 2px;
  left: 2px;
  right: 2px;
  bottom: 2px;
  border-width: 1px;
  border-style: dotted;
  border-color: #000000;
  content: "";
  pointer-events: none;
}
.sapUiTableCtrlEmptyMsg {
  position: absolute;
  top: 50%;
  margin-top: -0.5em;
  left: 0;
  width: 100%;
  box-sizing: border-box;
  padding: 0 1rem;
  white-space: pre-wrap;
}
.sapUiTableEmpty .sapUiTableCtrlEmpty {
  display: block;
}
.sapUiTableEmpty .sapUiTableRowHdr {
  opacity: 0;
}
.sapUiTableOuterAfter,
.sapUiTableOuterBefore {
  display: none;
}
.sapUiTablePaginator {
  text-align: center;
  padding: 2px;
}
.sapUiTableDragDrop {
  cursor: move;
}
.sapUiTableDragDrop .sapUiTableCCnt,
.sapUiTableDragDrop .sapUiTableColRsz {
  pointer-events: none;
}
.sapUiTableDragDrop .sapUiTableCol {
  cursor: move;
}
.sapUiTableDragDrop .sapUiTableCol * {
  cursor: move;
}
/*******************************************************************************
 * DND & RESIZE ELEMENTS
 ******************************************************************************/
.sapUiTableColGhost {
  position: absolute;
  width: auto;
  cursor: pointer;
  padding: 0 8px;
  background-color: #f2f2f2;
  border: 1px solid #007dc0;
  opacity: 0.5;
}
.sapUiTableColRsz {
  position: absolute;
  top: 0px;
  width: 5px;
  margin-left: -4px;
  bottom: 0px;
  cursor: col-resize;
  z-index: 1;
}
html[dir=rtl] .sapUiTableColRsz {
  margin-right: -3px;
}
.sapUiTableHScr .sapUiTableColRsz {
  bottom: 18px;
}
html.sap-desktop .sapUiTableColRsz:hover {
  background-color: #007dc0;
  opacity: 0.5;
}
.sapUiTableColRszActive,
html.sap-desktop .sapUiTableColRsz.sapUiTableColRszActive:hover {
  background-color: #007dc0;
  opacity: 1;
}
/*******************************************************************************
 * VERTICAL SCROLLBAR
 ******************************************************************************/
.sapUiTableVSb {
  display: none;
  position: absolute;
  top: 0px;
  right: 0px;
  width: 16px;
  bottom: 0px;
}
html[data-sap-ui-browser^="ie"] .sapUiTableVSb {
  width: 18px;
  right: -1px;
}
.sapUiTableVScr .sapUiTableVSb {
  display: block;
}
/* Cozy Mode when sap.m. library is loaded */
.sapUiSizeCozy .sapUiTable {
  /* Header */
  /* Footer */
  /* Row */
  /* Header */
  /* Footer Adjustments */
}
.sapUiSizeCozy .sapUiTable > .sapUiTableCnt > .sapUiTableColHdrCnt {
  min-height: 3rem;
}
.sapUiSizeCozy .sapUiTable > .sapUiTableFtr {
  height: 3rem;
  line-height: 3rem;
  padding-top: 0;
}
.sapUiSizeCozy .sapUiTable .sapUiTableCtrl tr {
  height: 3rem;
}
.sapUiSizeCozy .sapUiTable .sapUiTableCol,
.sapUiSizeCozy .sapUiTable .sapUiTableColRowHdr {
  padding-top: 0;
  padding-bottom: 0;
}
.sapUiSizeCozy .sapUiTable .sapUiTableColCell {
  height: 3rem;
}
.sapUiSizeCozy .sapUiTable .sapUiTableColCell > * {
  height: 100%;
  line-height: 3rem;
}
.sapUiSizeCozy .sapUiTable .sapUiTableColRowHdrIco {
  height: 100%;
}
.sapUiSizeCozy .sapUiTable .sapUiTableFtr > .sapMLabel {
  height: 3rem;
  line-height: 3rem;
}
/*******************************************************************************
 * HORIZONTAL SCROLLBAR
 ******************************************************************************/
.sapUiTableHSb {
  display: none;
  position: relative;
  height: 16px;
  margin: 0;
}
html[data-sap-ui-browser^="ie"] .sapUiTableHSb {
  height: 18px;
}
html[data-sap-ui-browser^="ed"] .sapUiTableHSb {
  height: 12px;
}
.sapUiTableHScr .sapUiTableHSb {
  display: block;
}
.sapUiTableVScr .sapUiTableHSb {
  margin-right: 16px;
  /* 17px */
}
html[data-sap-ui-browser^="ed"] .sapUiTableVScr .sapUiTableHSb {
  margin-right: 12px;
}
/*******************************************************************************
 * CHILD CONTROL STYLES
 ******************************************************************************/
.sapUiTableCol .sapUiLbl,
.sapUiTableCell > .sapUiTf,
.sapUiTableCell > .sapUiSearchField,
.sapUiTableCell > .sapUiSearchField > .sapUiTfCombo,
.sapUiTableCell > .sapUiTfCombo {
  border: none;
  background: none;
  padding: 0;
  margin: 0;
  width: 100%;
}
.sapUiTableCell > .sapUiTf.sapUiTfErr.sapUiTfStd,
.sapUiTableCell > .sapUiTfCombo.sapUiTfErr.sapUiTfStd {
  background-color: #ffdbdb;
}
.sapUiTableCell > .sapUiTf.sapUiTfWarn.sapUiTfStd,
.sapUiTableCell > .sapUiTfCombo.sapUiTfWarn.sapUiTfStd {
  background-color: #fffcb5;
}
.sapUiTableCell > .sapUiTf.sapUiTfSucc.sapUiTfStd,
.sapUiTableCell > .sapUiTfCombo.sapUiTfSucc.sapUiTfStd {
  background-color: #c0ead2;
}
.sapUiTableCell > .sapUiTfCombo {
  padding: 0 8px 0 0;
}
.sapUiTableCell > .sapUiTv,
.sapUiTableCell > .sapUiLbl,
.sapUiTableCell > .sapUiLnk {
  display: block;
  overflow: hidden;
  text-overflow: ellipsis;
}
/* Keep sure that sap.m.Link is vertically aligned inside a table cell */
.sapUiTableCell .sapUiLnk,
.sapUiTableColCell .sapUiImg {
  vertical-align: middle;
}
.sapUiTableCell > .sapUiImg {
  margin-top: 1px;
}
.sapUiTableRowHidden .sapUiTableCell > .sapUiImg {
  display: none;
  /* images will be removed to avoid pushing the height of the line */
}
.sapUiTableCell > .sapUiRating {
  display: block;
}
/*******************************************************************************
 * TREETABLE & GROUPING STYLES
 ******************************************************************************/
.sapUiSizeCompact .sapUiTableTr > td {
  padding-top: 0px;
  padding-bottom: 0px;
}
.sapUiTableColumnVisibilityMenu .sapUiMnuItm {
  padding-right: 18px;
}
.sapUiTableHeightResizer {
  background-image: url(img/splitter_horiz_grip.gif);
  background-position: center center;
  background-repeat: no-repeat;
  background-color: #dbe5ec;
  box-sizing: border-box;
}
.sapUiTableHeightResizer:hover {
  background-color: #f2f2f2;
  cursor: n-resize;
}
.sapUiTableSelModeNone .sapUiTableRowHdr {
  width: 0;
  border-left: 0;
  border-right: 0;
}
/* FIX for IE fixed columns */
html[data-sap-ui-browser^="ie"] .sapUiTableColHdrCnt {
  width: 100%;
}
.sapUiTableHiddenSizeDetector {
  position: absolute;
  left: -1000px;
  visibility: hidden;
  display: inline-block;
}
.sapUiTable > div.sapUiOverlay.sapUiTableOverlay {
  border: 0;
  /* Overlay should not have border */
}
.sapUiTableColCellMenu div {
  display: inline-block;
  position: absolute;
  font-family: 'SAP-icons';
  font-size: 1.375rem;
  text-align: center;
  -moz-transform: translatey(-50%);
  -ms-transform: translatey(-50%);
  -webkit-transform: translatey(-50%);
  transform: translatey(-50%);
  top: 50%;
}
.sapUiTableColCellMenu .sapUiTableColDropDown {
  left: 0;
  width: 2rem;
  right: 2rem;
  text-align: center;
  padding-left: 0.25rem;
  padding-right: 0.25rem;
  cursor: default;
}
.sapUiTableColDropDown:active {
  color: #ffffff;
}
.sapUiTableColResizer {
  right: 0;
  width: 2rem;
  padding-left: 0.25rem;
  padding-right: 0.25rem;
  cursor: default;
}
.sapUiTableInteractiveResizerGhost {
  position: absolute;
  background-color: #007dc0;
  color: #ffffff;
  z-index: 10000;
}
.sapMNavItemFlipping .sapUiTable {
  opacity: 0;
}
/*******************************************************************************
/* End of base section
/* Start of sap_goldreflection less section
*******************************************************************************/
/*******************************************************************************
 * TABLE PARAMETERS
 ******************************************************************************/
/*******************************************************************************
 * TABLE SECTIONS
 ******************************************************************************/
.sapUiTable > .sapUiTableHdr {
  border: none;
  border-bottom: 2px solid #007dc0;
  height: 25px;
  padding: 0;
  margin-bottom: 2px;
  background-color: transparent;
}
.sapUiTableHdrTitle {
  font-size: 18px;
  height: 100%;
}
.sapUiTable > .sapUiTableFtr {
  min-height: 27px;
  background-color: #e5e5e5;
  padding-top: 4px;
}
.sapUiTable > .sapUiTableTbr {
  border: none;
  border-bottom: 2px solid #ffffff;
  height: 30px;
}
.sapUiTableTbr > .sapUiTb {
  background-color: #cccccc;
}
.sapUiTable > .sapUiTableExt {
  border: none;
  border-bottom: 2px solid #ffffff;
}
.sapUiTableColRowHdrIco {
  background-image: url('img/Select_All_Icon.png');
  background-position: 50% 50%;
}
.sapUiTableColRowHdr,
.sapUiTableRowHdr,
.sapUiTableColHdrCnt {
  background-color: #e5e5e5;
}
.sapUiTableColRowHdr,
.sapUiTableCol {
  padding-top: 5px;
  padding-bottom: 5px;
}
.sapUiTableColRowHdr.sapUiTableSelAll {
  padding-top: 7px;
}
.sapUiTableColIcons {
  padding-top: 6px;
}
.sapUiTableCol:hover,
.sapUiTableColRowHdr:hover {
  background-color: #cccccc;
}
.sapUiTableSelModeSingle .sapUiTableRowHdr.sapUiTableRowSel,
.sapUiTableSelModeMulti .sapUiTableRowHdr.sapUiTableRowSel,
.sapUiTableSelModeMultiToggle .sapUiTableRowHdr.sapUiTableRowSel {
  background-color: #007dc0;
  border-right-color: #007dc0;
}
.sapUiTableRowHdr.sapUiTableRowHvr {
  background-color: #cccccc;
}
.sapUiTableColHdrCnt {
  border-bottom: 1px solid #cccccc;
}
.sapUiTableCol {
  border-right: 1px solid #cccccc;
}
.sapUiTableColHdr:not(:first-of-type) .sapUiTableCol {
  border-top: 1px solid #cccccc;
}
.sapUiTable > .sapUiTableCnt {
  border-left: 1px solid #cccccc;
  border-right: 1px solid #cccccc;
}
.sapUiTableColRowHdr,
.sapUiTableRowHdr {
  border-right: 1px solid #cccccc;
}
.sapUiTableRowHdr,
.sapUiTableTr > td {
  padding-top: 2px;
  padding-bottom: 1px;
  border-bottom: 1px solid #cccccc;
}
.sapUiTableCtrl.sapUiTableCtrlRowFixed tr:last-child > td {
  padding-top: 2px;
  padding-bottom: 1px;
  border-bottom: 1px solid #cccccc;
}
.sapUiTableCtrl.sapUiTableCtrlRowFixedBottom {
  margin-top: -1px;
}
.sapUiTableCtrl.sapUiTableCtrlRowFixedBottom tr:first-child > td {
  padding-top: 2px;
  padding-bottom: 1px;
  border-top: 1px solid #cccccc;
}
.sapUiTableRowHdr:last-child,
.sapUiTableCtrl tr:last-child > td {
  border-bottom: none;
}
.sapUiTableEdt .sapUiTableCtrl:not(.sapUiTableCHT) {
  background: #ffffff;
}
.sapUiTableCtrl tr.sapUiTableRowHvr {
  background-color: #e5f2f8;
}
.sapUiTableSelModeSingle .sapUiTableCtrl tr.sapUiTableRowSel > td {
  border-top: 2px solid #007dc0;
  border-bottom: 2px solid #007dc0;
  padding-top: 0;
  padding-bottom: 0;
}
.sapUiTableSelModeMulti .sapUiTableCtrl tr.sapUiTableRowSel > td,
.sapUiTableSelModeMultiToggle .sapUiTableCtrl tr.sapUiTableRowSel > td {
  background-color: #d0e7f4;
}
.sapUiTableSelModeMulti .sapUiTableCtrl tr.sapUiTableRowSel.sapUiTableRowHvr > td,
.sapUiTableSelModeMultiToggle .sapUiTableCtrl tr.sapUiTableRowSel.sapUiTableRowHvr > td {
  background-color: #bbdcee;
}
.sapUiTableSelModeSingle .sapUiTableRowHdr.sapUiTableRowSel,
.sapUiTableSelModeSingle .sapUiTableCtrl tr.sapUiTableRowSel > td:last-child {
  border-right: 2px solid #007dc0;
  border-bottom: 2px solid #007dc0;
}
/* support for left border in RowOnly selection behavior */
.sapUiTableTr > td.sapUiTableTdFirst {
  padding-left: 2px;
}
.sapUiTableRSel .sapUiTableTr > td.sapUiTableTdFirst {
  padding-left: 0;
}
.sapUiTableTr > td.sapUiTableTdFirst > .sapUiTableCell {
  padding-left: 6px;
}
.sapUiTableRSel .sapUiTableTr > td.sapUiTableTdFirst > .sapUiTableCell {
  padding-left: 8px;
}
.sapUiTableSelModeSingle .sapUiTableCtrl tr.sapUiTableRowSel > td.sapUiTableTdFirst {
  border-left: 2px solid #007dc0;
  padding-left: 0px;
}
.sapUiTableSelModeSingle.sapUiTableRSel .sapUiTableCtrl tr.sapUiTableRowSel > td.sapUiTableTdFirst {
  border-left: none;
}
.sapUiTableRowHdr.sapUiTableRowHvr {
  border-bottom: 1px solid #cccccc;
}
.sapUiTableCtrl tr:hover:first-child {
  border: none;
}
.sapUiTableRSel .sapUiTableCtrlScr,
.sapUiTableRSel .sapUiTableCtrlScrFixed {
  margin-left: 22px;
}
/*******************************************************************************
/* Due to deprecation of sap_goldreflection with SAPUI5 version 1.38
/* the less file of base is directly at the top section of this file
/* and no longer imported within the library.source.less file. This decoupling
/* of the base theme is introduced with SAPUI5 version 1.44.
*******************************************************************************/
/*******************************************************************************
/* Start of base section
*******************************************************************************/
/*2rem*/
/*1.5rem*/
/*3rem*/
.sapUiTableTreeIcon {
  display: none;
  width: 25px;
  padding: 0;
  flex-shrink: 0;
  margin-right: 6px;
}
.sapUiTableTreeIcon:focus {
  outline: 1px dotted #000000;
}
html[data-sap-ui-browser^="ed"] .sapUiTableTreeIcon:focus,
html[data-sap-ui-browser^="ie"] .sapUiTableTreeIcon:focus {
  outline: 0px;
}
html[data-sap-ui-browser^="ed"] .sapUiTableTreeIcon:focus::before,
html[data-sap-ui-browser^="ie"] .sapUiTableTreeIcon:focus::before {
  outline: 1px dotted #000000;
}
.sapUiTableTreeIcon:focus:not(*:root) {
  /*Webkit*/
  outline-offset: -1px;
}
@supports (-moz-appearance:meterbar) {
  /* Firefox */
  .sapUiTableTreeIcon:focus {
    outline-offset: -1px;
  }
}
.sapUiTableTreeMode .sapUiTableTreeIcon,
.sapUiTableTreeMode .sapUiTableTreeIcon::before {
  display: inline-block;
}
.sapUiTableGroupIcon {
  display: none;
  font-size: 12px;
  cursor: pointer;
  line-height: 25px;
  position: absolute;
  left: 0px;
  top: 1px;
  bottom: 0px;
  white-space: nowrap;
  font-weight: normal;
  color: #000000;
  overflow: hidden;
  text-overflow: ellipsis;
  min-width: 48px;
  background-color: transparent;
  padding-right: 40px;
  background: #e5e5e5;
  z-index: 1;
  box-sizing: border-box;
  border: 1px solid transparent;
  background-clip: content-box;
}
.sapUiSizeCondensed .sapUiTableGroupIcon {
  line-height: 25px;
}
.sapUiSizeCozy .sapUiTableGroupIcon {
  line-height: 25px;
}
.sapUiTableGroupIcon::before,
.sapUiTableTreeIcon::before {
  font-family: "SAP-icons";
  font-size: 12px;
  font-weight: normal;
  display: none;
  width: 22px;
  text-align: center;
  vertical-align: middle;
  color: #000000;
}
.sapUiTableGroupIcon.sapUiTableGroupIconOpen::before,
.sapUiTableTreeIcon.sapUiTableTreeIconNodeOpen::before {
  content: '\e1e2';
}
.sapUiTableGroupIcon.sapUiTableGroupIconClosed::before,
.sapUiTableTreeIcon.sapUiTableTreeIconNodeClosed::before {
  content: '\e066';
}
html[dir=rtl] .sapUiTableGroupIcon.sapUiTableGroupIconClosed::before,
html[dir=rtl] .sapUiTableTreeIcon.sapUiTableTreeIconNodeClosed::before {
  content: '\e067';
}
.sapUiTableGroupIcon:after {
  display: none;
  position: absolute;
  content: "";
  width: 40px;
  top: 1px;
  bottom: 1px;
  right: 0;
  box-shadow: inset 40px 0px 20px -20px #e5e5e5;
}
.sapUiTableRowHdr.sapUiTableGroupHeader {
  border-right: none;
  position: relative;
}
.sapUiTableSelModeNone .sapUiTableRowHdr.sapUiTableGroupHeader {
  width: 22px;
}
.sapUiTableRowHdr.sapUiTableGroupHeader:focus .sapUiTableGroupIcon {
  outline-width: 1px;
  outline-style: dotted;
  outline-offset: 0px;
  outline-color: #000000;
}
.sapUiTableCtrl tr.sapUiTableGroupHeader,
.sapUiTableRowHdr.sapUiTableGroupHeader {
  background-color: #e5e5e5;
  border-color: #dddddd;
  color: #333333;
}
.sapUiTableGroupMode .sapUiTableRowHdr.sapUiTableGroupHeader > .sapUiTableGroupIcon,
.sapUiTableGroupMode .sapUiTableRowHdr.sapUiTableGroupHeader > .sapUiTableGroupIcon::before,
.sapUiTableGroupMode .sapUiTableRowHdr.sapUiTableGroupHeader > .sapUiTableGroupIcon:after {
  display: inline-block;
}
.sapUiTableGroupMode .sapUiTableRowHdrScr .sapUiTableRowHdr.sapUiTableGroupHeader,
.sapUiTableGroupMode .sapUiTableGroupHeader td {
  border-right: none;
}
.sapUiTableGroupMode .sapUiTableRowHdr {
  border-left: 1px solid #d5d5d5;
}
.sapUiTableGroupMode .sapUiTableGroupHeader.sapUiTableRowHvr,
.sapUiTableGroupMode .sapUiTableRowHvr .sapUiTableGroupIcon {
  background-color: #e5f2f8;
}
.sapUiTableGroupMode .sapUiTableRowHvr .sapUiTableGroupIcon:after {
  box-shadow: inset 40px 0px 20px -20px #e5f2f8;
}
.sapUiTableGroupMode .sapUiTableRowHdrScr .sapUiTableRowHdr.sapUiTableGroupHeader::after {
  display: none;
}
.sapUiTableGroupMode.sapUiTableSelModeNone .sapUiTableRowHdr,
.sapUiTableGroupMode.sapUiTableSelModeNone .sapUiTableRowHdr.sapUiTableGroupHeader {
  width: auto;
}
.sapUiTableGroupMode.sapUiTableSelModeNone .sapUiTableRowHdr {
  border-right: 1px solid #d5d5d5;
}
.sapUiTableGroupMode.sapUiAnalyticalTable .sapUiTableGroupHeader .sapUiTableTdFirst:not(.sapUiTableMeasureCell) .sapUiTableCell {
  display: none;
}
.sapUiTableGroupMode.sapUiAnalyticalTable .sapUiTableGroupHeader .sapUiTableCell > .sapUiAnalyticalTableGroupCellHidden,
.sapUiTableGroupMode.sapUiAnalyticalTable .sapUiAnalyticalTableSum .sapUiTableCell > .sapUiAnalyticalTableSumCellHidden {
  visibility: hidden;
  /* hidden cell content*/
}
.sapUiTableGroupMode.sapUiTableTouch .sapUiTableCtrlScroll .sapUiTableGroupHeader td:last-child {
  padding-right: 3rem;
}
.sapUiTableGroupMode .sapUiTableRowHdr::before {
  content: '';
  display: block;
  position: absolute;
  top: -1px;
  left: -1px;
  right: 0px;
  box-sizing: border-box;
  border-top: 1px solid #dddddd;
  height: 1px;
}
.sapUiTableGroupMode .sapUiTableRowHdr:focus:not(.sapUiTableGroupHeader)::before {
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  border: 1px dotted #000000;
  pointer-events: none;
  z-index: 1;
  height: auto;
}
.sapUiTableRowHdr.sapUiTableGroupHeader:focus:not(*:root),
.sapUiTableGroupMode .sapUiTableRowHdr:focus:not(*:root) {
  outline: 0px;
}
/*Separation needed from declaration above because of IE*/
.sapUiTableRowHdr.sapUiTableGroupHeader,
.sapUiTableGroupMode .sapUiTableRowHdr:focus {
  outline: 0px;
}
.sapUiTableGroupMenuButton {
  display: none;
}
.sapUiTableGroupMode.sapUiAnalyticalTable .sapUiTableRowHdr.sapUiTableGroupHeader .sapUiTableGroupMenuButton {
  position: absolute;
  min-width: 2.5rem;
  text-align: center;
  z-index: 2;
  right: 0;
  top: 50%;
  -moz-transform: translatey(-50%);
  -ms-transform: translatey(-50%);
  -webkit-transform: translatey(-50%);
  transform: translatey(-50%);
  background: #e5e5e5;
  font-family: 'SAP-icons';
  font-size: 1.375rem;
  color: #000000;
  display: block;
}
/*******************************************************************************
/* End of base section
/* Start of sap_goldreflection less section
*******************************************************************************/

/* Inline theming parameters */
#sap-ui-theme-sap\.ui\.table{background-image:url('data:text/plain;utf-8,%7B%22sapBrandColor%22:%22#f0ab00%22,%22sapHighlightColor%22:%22#007dc0%22,%22sapBaseColor%22:%22#dddddd%22,%22sapShellColor%22:%22#000000%22,%22sapBackgroundColor%22:%22#f2f2f2%22,%22sapFontFamily%22:%22Arial, Helvetica, sans-serif, Verdana%22,%22sapFontSize%22:%220.75em%22,%22sapTextColor%22:%22#000000%22,%22sapLinkColor%22:%22#00679e%22,%22sapCompanyLogo%22:%22none%22,%22sapBackgroundImage%22:%22none%22,%22sapBackgroundImageOpacity%22:%221%22,%22sapBackgroundImageRepeat%22:%22false%22,%22sapSelectedColor%22:%22#007dc0%22,%22sapActiveColor%22:%22#007dc0%22,%22sapHighlightTextColor%22:%22#ffffff%22,%22sapTitleColor%22:%22#333333%22,%22sapNegativeColor%22:%22#cc1919%22,%22sapCriticalColor%22:%22#f0ab00%22,%22sapPositiveColor%22:%22#007833%22,%22sapNeutralColor%22:%22#007cc0%22,%22sapNegativeElementColor%22:%22#cc1919%22,%22sapCriticalElementColor%22:%22#f0ab00%22,%22sapPositiveElementColor%22:%22#007833%22,%22sapNeutralElementColor%22:%22#007cc0%22,%22sapContent_LineHeight%22:%221.3%22,%22sapContent_ElementHeight%22:%221.37em%22,%22sapContent_ElementHeight_PX%22:%2222px%22,%22sapContent_IconHeight%22:%2216px%22,%22sapContent_IconColor%22:%22#000000%22,%22sapContent_ContrastIconColor%22:%22#ffffff%22,%22sapContent_NonInteractiveIconColor%22:%22#000000%22,%22sapContent_MarkerIconColor%22:%22#000000%22,%22sapContent_FocusColor%22:%22#000000%22,%22sapContent_ContrastFocusColor%22:%22#ffffff%22,%22sapContent_ShadowColor%22:%22#000000%22,%22sapContent_ContrastShadowColor%22:%22#ffffff%22,%22sapContent_SearchHighlightColor%22:%22#cc8700%22,%22sapContent_HelpColor%22:%22#cc8700%22,%22sapContent_LabelColor%22:%22#444444%22,%22sapContent_MonospaceFontFamily%22:%22lucida console, monospace%22,%22sapContent_DisabledTextColor%22:%22#999999%22,%22sapContent_DisabledOpacity%22:%220.5%22,%22sapContent_ContrastTextThreshold%22:%220.65%22,%22sapContent_ContrastTextColor%22:%22#ffffff%22,%22sapContent_ForegroundColor%22:%22#c5c5c5%22,%22sapContent_ForegroundBorderColor%22:%22#a6a6a6%22,%22sapContent_ForegroundTextColor%22:%22#000000%22,%22sapShell_Background%22:%22#ffffff%22,%22sapShell_BackgroundImage%22:%22#ffffff%22,%22sapShell_BackgroundGradient%22:%22#ffffff%22,%22sapShell_BackgroundImageOpacity%22:%221%22,%22sapShell_BackgroundImageRepeat%22:%22false%22,%22sapShell_BorderColor%22:%22#5c5c5c%22,%22sapShell_TextColor%22:%22#000000%22,%22sapShell_Favicon%22:%22none%22,%22sapButton_BorderWidth%22:%221px%22,%22sapButton_BorderCornerRadius%22:%220%22,%22sapButton_Background%22:%22#e2e2e2%22,%22sapButton_BorderColor%22:%22#a3a3a3%22,%22sapButton_TextColor%22:%22#222222%22,%22sapButton_Disabled_Background%22:%22#e2e2e2%22,%22sapButton_Disabled_BorderColor%22:%22#bfbfbf%22,%22sapButton_Disabled_TextColor%22:%22#878787%22,%22sapButton_Hover_Background%22:%22#007dc0%22,%22sapButton_Hover_BorderColor%22:%22#00669c%22,%22sapButton_Hover_TextColor%22:%22#ffffff%22,%22sapButton_Emphasized_Background%22:%22#fdc411%22,%22sapButton_Emphasized_BorderColor%22:%22#8d6b01%22,%22sapButton_Emphasized_TextColor%22:%22#222222%22,%22sapButton_Reject_Background%22:%22#e52929%22,%22sapButton_Accept_Background%22:%22#008a3b%22,%22sapField_Background%22:%22#ffffff%22,%22sapField_BorderColor%22:%22#bfbfbf%22,%22sapField_TextColor%22:%22#000000%22,%22sapField_HelpBackground%22:%22#ffffff%22,%22sapField_BorderWidth%22:%221px%22,%22sapField_BorderCornerRadius%22:%220%22,%22sapField_Hover_Background%22:%22#ffffff%22,%22sapField_Hover_BorderColor%22:%22#007dc0%22,%22sapField_Hover_HelpBackground%22:%22#007dc0%22,%22sapField_Focus_Background%22:%22#ffffff%22,%22sapField_Focus_BorderColor%22:%22#007dc0%22,%22sapField_Focus_HelpBackground%22:%22#ffffff%22,%22sapField_Disabled_Background%22:%22#f9f9f9%22,%22sapField_Disabled_BorderColor%22:%22#dfdfdf%22,%22sapField_Disabled_TextColor%22:%22#999999%22,%22sapField_Disabled_HelpBackground%22:%22#f9f9f9%22,%22sapField_ReadOnly_Background%22:%22#eaedf0%22,%22sapField_ReadOnly_BorderColor%22:%22#bfbfbf%22,%22sapField_ReadOnly_HelpBackground%22:%22#eaedf0%22,%22sapField_RequiredColor%22:%22#007dc0%22,%22sapField_InvalidColor%22:%22#cc0000%22,%22sapField_InvalidBackground%22:%22#ffdbdb%22,%22sapField_WarningColor%22:%22#ffaa00%22,%22sapField_WarningBackground%22:%22#fffcb5%22,%22sapField_SuccessColor%22:%22#007833%22,%22sapField_SuccessBackground%22:%22#c0ead2%22,%22sapGroup_TitleBackground%22:%22transparent%22,%22sapGroup_TitleBorderColor%22:%22transparent%22,%22sapGroup_TitleTextColor%22:%22#333333%22,%22sapGroup_Title_FontSize%22:%221em%22,%22sapGroup_ContentBackground%22:%22#ffffff%22,%22sapGroup_ContentBorderColor%22:%22transparent%22,%22sapGroup_BorderWidth%22:%221px%22,%22sapGroup_BorderCornerRadius%22:%220%22,%22sapGroup_FooterBackground%22:%22transparent%22,%22sapToolbar_Background%22:%22#dddddd%22,%22sapToolbar_SeparatorColor%22:%22#c2c2c2%22,%22sapList_HeaderBackground%22:%22#e5e5e5%22,%22sapList_HeaderBorderColor%22:%22#cccccc%22,%22sapList_HeaderTextColor%22:%22#333333%22,%22sapList_BorderColor%22:%22#dddddd%22,%22sapList_BorderWidth%22:%221px%22,%22sapList_HighlightColor%22:%22#007dc0%22,%22sapList_SelectionBackgroundColor%22:%22#d0e7f4%22,%22sapList_Background%22:%22#ffffff%22,%22sapList_Hover_Background%22:%22#e5f2f8%22,%22sapScrollBar_FaceColor%22:%22#ffffff%22,%22sapScrollBar_TrackColor%22:%22#ffffff%22,%22sapScrollBar_BorderColor%22:%22#999999%22,%22sapScrollBar_SymbolColor%22:%22#666666%22,%22sapScrollBar_Dimension%22:%2216px%22,%22sapScrollBar_Hover_FaceColor%22:%22#000000%22,%22sapPageHeader_Background%22:%22#ffffff%22,%22sapPageHeader_BorderColor%22:%22#000000%22,%22sapPageHeader_TextColor%22:%22#000000%22,%22sapPageFooter_Background%22:%22#ffffff%22,%22sapPageFooter_TextColor%22:%22#000000%22,%22sapInfobar_Background%22:%22#ffffff%22,%22sapObjectHeader_Background%22:%22#ffffff%22,%22sapBlockLayer_Background%22:%22#000000%22,%22sapTile_Background%22:%22#ffffff%22,%22sapTile_BorderColor%22:%22transparent%22,%22sapTile_TitleTextColor%22:%22#000000%22,%22sapTile_TextColor%22:%22#000000%22,%22sapTile_IconColor%22:%22#000000%22,%22sapChart_OrderedColor_1%22:%22#5cbae6%22,%22sapChart_OrderedColor_2%22:%22#b6d957%22,%22sapChart_OrderedColor_3%22:%22#fac364%22,%22sapChart_OrderedColor_4%22:%22#8cd3ff%22,%22sapChart_OrderedColor_5%22:%22#d998cb%22,%22sapChart_OrderedColor_6%22:%22#f2d249%22,%22sapChart_OrderedColor_7%22:%22#93b9c6%22,%22sapChart_OrderedColor_8%22:%22#ccc5a8%22,%22sapChart_OrderedColor_9%22:%22#52bacc%22,%22sapChart_OrderedColor_10%22:%22#dbdb46%22,%22sapChart_OrderedColor_11%22:%22#98aafb%22,%22sapChart_Bad%22:%22#dc0d0e%22,%22sapChart_Critical%22:%22#de890d%22,%22sapChart_Good%22:%22#3fa45b%22,%22sapChart_Neutral%22:%22#848f94%22,%22sapChart_Sequence_1%22:%22#27a3dd%22,%22sapChart_Sequence_2%22:%22#9dc62d%22,%22sapChart_Sequence_3%22:%22#f8ac29%22,%22sapChart_Sequence_Neutral%22:%22#848f94%22,%22sapUiBrand%22:%22#f0ab00%22,%22sapUiHighlight%22:%22#007dc0%22,%22sapUiBaseColor%22:%22#dddddd%22,%22sapUiShellColor%22:%22#000000%22,%22sapUiBaseBG%22:%22#7f7f7f%22,%22sapUiGlobalBackgroundColor%22:%22#f2f2f2%22,%22sapUiBaseText%22:%22#000000%22,%22sapUiLink%22:%22#00679e%22,%22sapUiGlobalLogo%22:%22none%22,%22sapUiGlobalBackgroundImage%22:%22none%22,%22sapUiBackgroundImage%22:%22none%22,%22sapUiUx3ShellBackgroundImageURL%22:%22none%22,%22sapUiGlobalBackgroundImageOpacity%22:%221%22,%22sapUiGlobalBackgroundRepeat%22:%22false%22,%22sapUiSelected%22:%22#007dc0%22,%22sapUiActive%22:%22#007dc0%22,%22sapUiHighlightTextColor%22:%22#ffffff%22,%22sapUiTextTitle%22:%22#333333%22,%22sapUiContentIconColor%22:%22#000000%22,%22sapUiContentContrastIconColor%22:%22#ffffff%22,%22sapUiContentNonInteractiveIconColor%22:%22#000000%22,%22sapUiContentMarkerIconColor%22:%22#000000%22,%22sapUiContentImagePlaceholderBackground%22:%22#f2f2f2%22,%22sapUiContentImagePlaceholderForegroundColor%22:%22#000000%22,%22sapUiContentFocusColor%22:%22#000000%22,%22sapUiContentContrastFocusColor%22:%22#ffffff%22,%22sapUiContentShadowColor%22:%22#000000%22,%22sapUiContentContrastShadowColor%22:%22#ffffff%22,%22sapUiContentSearchHighlightColor%22:%22#cc8700%22,%22sapUiContentHelpColor%22:%22#cc8700%22,%22sapUiContentLabelColor%22:%22#444444%22,%22sapUiContentDisabledTextColor%22:%22#999999%22,%22sapUiContentDisabledOpacity%22:%220.5%22,%22sapUiContentContrastTextThreshold%22:%220.65%22,%22sapUiContentContrastTextColor%22:%22#ffffff%22,%22sapUiContentForegroundColor%22:%22#c5c5c5%22,%22sapUiContentForegroundBorderColor%22:%22#a6a6a6%22,%22sapUiContentForegroundTextColor%22:%22#000000%22,%22sapUiShellBackground%22:%22#ffffff%22,%22sapUiShellBackgroundImage%22:%22#ffffff%22,%22sapUiShellBackgroundImageOpacity%22:%221%22,%22sapUiShellBackgroundImageRepeat%22:%22false%22,%22sapUiShellBackgroundGradient%22:%22#ffffff%22,%22sapUiShellBorderColor%22:%22#5c5c5c%22,%22sapUiShellTextColor%22:%22#000000%22,%22sapUiShellFavicon%22:%22none%22,%22sapUiButtonBackground%22:%22#e2e2e2%22,%22sapUiButtonBorderColor%22:%22#a3a3a3%22,%22sapUiButtonTextColor%22:%22#222222%22,%22sapUiButtonDisabledBackground%22:%22#e2e2e2%22,%22sapUiButtonDisabledBorderColor%22:%22#bfbfbf%22,%22sapUiButtonDisabledTextColor%22:%22#878787%22,%22sapUiButtonHoverBackground%22:%22#007dc0%22,%22sapUiButtonHoverBorderColor%22:%22#00669c%22,%22sapUiButtonHoverTextColor%22:%22#ffffff%22,%22sapUiButtonEmphasizedBackground%22:%22#fdc411%22,%22sapUiButtonEmphasizedBorderColor%22:%22#8d6b01%22,%22sapUiButtonEmphasizedTextColor%22:%22#222222%22,%22sapUiButtonRejectBackground%22:%22#e52929%22,%22sapUiButtonAcceptBackground%22:%22#008a3b%22,%22sapUiFieldBackground%22:%22#ffffff%22,%22sapUiFieldBorderColor%22:%22#bfbfbf%22,%22sapUiFieldTextColor%22:%22#000000%22,%22sapUiFieldHelpBackground%22:%22#ffffff%22,%22sapUiFieldHoverBackground%22:%22#ffffff%22,%22sapUiFieldHoverBorderColor%22:%22#007dc0%22,%22sapUiFieldHoverHelpBackground%22:%22#007dc0%22,%22sapUiFieldFocusBackground%22:%22#ffffff%22,%22sapUiFieldFocusBorderColor%22:%22#007dc0%22,%22sapUiFieldFocusHelpBackground%22:%22#ffffff%22,%22sapUiFieldReadOnlyBackground%22:%22#eaedf0%22,%22sapUiFieldReadOnlyBorderColor%22:%22#bfbfbf%22,%22sapUiFieldReadOnlyHelpBackground%22:%22#eaedf0%22,%22sapUiFieldDisabledBackground%22:%22#f9f9f9%22,%22sapUiFieldDisabledBorderColor%22:%22#dfdfdf%22,%22sapUiFieldDisabledTextColor%22:%22#999999%22,%22sapUiFieldDisabledHelpBackground%22:%22#f9f9f9%22,%22sapUiFieldRequiredColor%22:%22#007dc0%22,%22sapUiFieldInvalidColor%22:%22#cc0000%22,%22sapUiFieldInvalidBackground%22:%22#ffdbdb%22,%22sapUiFieldWarningColor%22:%22#ffaa00%22,%22sapUiFieldWarningBackground%22:%22#fffcb5%22,%22sapUiFieldSuccessColor%22:%22#007833%22,%22sapUiFieldSuccessBackground%22:%22#c0ead2%22,%22sapUiGroupTitleBackground%22:%22transparent%22,%22sapUiGroupTitleBorderColor%22:%22transparent%22,%22sapUiGroupTitleTextColor%22:%22#333333%22,%22sapUiGroupContentBackground%22:%22#ffffff%22,%22sapUiGroupContentBorderColor%22:%22transparent%22,%22sapUiGroupFooterBackground%22:%22transparent%22,%22sapUiToolbarBackground%22:%22#dddddd%22,%22sapUiToolbarSeparatorColor%22:%22#c2c2c2%22,%22sapUiListHeaderBackground%22:%22#e5e5e5%22,%22sapUiListHeaderBorderColor%22:%22#cccccc%22,%22sapUiListHeaderTextColor%22:%22#333333%22,%22sapUiListBorderColor%22:%22#dddddd%22,%22sapUiListHighlightColor%22:%22#007dc0%22,%22sapUiListSelectionBackgroundColor%22:%22#d0e7f4%22,%22sapUiListBackground%22:%22#ffffff%22,%22sapUiListHoverBackground%22:%22#e5f2f8%22,%22sapUiScrollBarFaceColor%22:%22#ffffff%22,%22sapUiScrollBarTrackColor%22:%22#ffffff%22,%22sapUiScrollBarBorderColor%22:%22#999999%22,%22sapUiScrollBarSymbolColor%22:%22#666666%22,%22sapUiScrollBarHoverFaceColor%22:%22#000000%22,%22sapUiPageHeaderBackground%22:%22#ffffff%22,%22sapUiPageHeaderBorderColor%22:%22#000000%22,%22sapUiPageHeaderTextColor%22:%22#666666%22,%22sapUiPageFooterBackground%22:%22#ffffff%22,%22sapUiPageFooterTextColor%22:%22#000000%22,%22sapUiInfobarBackground%22:%22#ffffff%22,%22sapUiObjectHeaderBackground%22:%22#ffffff%22,%22sapUiBlockLayerBackground%22:%22#000000%22,%22sapUiTileBackground%22:%22#ffffff%22,%22sapUiTileBorderColor%22:%22transparent%22,%22sapUiTileTitleTextColor%22:%22#000000%22,%22sapUiTileTextColor%22:%22#000000%22,%22sapUiTileIconColor%22:%22#000000%22,%22sapUiChart1%22:%22#5cbae6%22,%22sapUiChart2%22:%22#b6d957%22,%22sapUiChart3%22:%22#fac364%22,%22sapUiChart4%22:%22#8cd3ff%22,%22sapUiChart5%22:%22#d998cb%22,%22sapUiChart6%22:%22#f2d249%22,%22sapUiChart7%22:%22#93b9c6%22,%22sapUiChart8%22:%22#ccc5a8%22,%22sapUiChart9%22:%22#52bacc%22,%22sapUiChart10%22:%22#dbdb46%22,%22sapUiChart11%22:%22#98aafb%22,%22sapUiChartBad%22:%22#d32030%22,%22sapUiChartCritical%22:%22#e17b24%22,%22sapUiChartGood%22:%22#61a656%22,%22sapUiChartNeutral%22:%22#848f94%22,%22sapUiChartSequence1%22:%22#27a3dd%22,%22sapUiChartSequence2%22:%22#9dc62d%22,%22sapUiChartSequence3%22:%22#f8ac29%22,%22sapUiChartSequenceNeutral%22:%22#848f94%22,%22sapUiErrorBG%22:%22#fbdfdf%22,%22sapUiWarningBG%22:%22#fffcb5%22,%22sapUiSuccessBG%22:%22#e0f1e7%22,%22sapUiNeutralBG%22:%22#dff4ff%22,%22sapUiErrorBorder%22:%22#cc1919%22,%22sapUiWarningBorder%22:%22#d99900%22,%22sapUiSuccessBorder%22:%22#00ab49%22,%22sapUiNeutralBorder%22:%22#007cc0%22,%22sapUiNegativeElement%22:%22#cc1919%22,%22sapUiCriticalElement%22:%22#d14900%22,%22sapUiPositiveElement%22:%22#007833%22,%22sapUiNeutralElement%22:%22#007cc0%22,%22sapUiNegativeText%22:%22#cc1919%22,%22sapUiCriticalText%22:%22#d14900%22,%22sapUiPositiveText%22:%22#007833%22,%22sapUiNeutralText%22:%22#007cc0%22,%22sapUiNegative%22:%22#cc1919%22,%22sapUiCritical%22:%22#d14900%22,%22sapUiPositive%22:%22#007833%22,%22sapUiNeutral%22:%22#007cc0%22,%22sapUiErrorColor%22:%22#e63232%22,%22sapUiWarningColor%22:%22#ff5c05%22,%22sapUiSuccessColor%22:%22#00ab49%22,%22sapUiFontFamily%22:%22Arial, Helvetica, sans-serif%22,%22sapUiFontSize%22:%2212px%22,%22sapUiFontCondensedFamily%22:%22%27Arial Narrow%27, HelveticaNeue-CondensedBold, Arial, sans-serif%22,%22sapUiFontHeaderFamily%22:%22Arial, Helvetica, sans-serif%22,%22sapUiFontHeaderWeight%22:%22normal%22,%22sapMFontHeader1Size%22:%221.625rem%22,%22sapMFontHeader2Size%22:%221.375rem%22,%22sapMFontHeader3Size%22:%221.25rem%22,%22sapMFontHeader4Size%22:%221.125rem%22,%22sapMFontHeader5Size%22:%221rem%22,%22sapMFontHeader6Size%22:%220.875rem%22,%22sapMFontSmallSize%22:%220.75rem%22,%22sapMFontMediumSize%22:%220.875rem%22,%22sapMFontLargeSize%22:%221rem%22,%22sapUiTranslucentBGOpacity%22:%2280%25%22,%22sapMPlatformDependent%22:%22false%22,%22sapUiDesktopFontFamily%22:%22Arial, Helvetica, sans-serif%22,%22sapUiDesktopFontSize%22:%2212px%22,%22sapUiFontLargeSize%22:%2213px%22,%22sapUiFontSmallSize%22:%2211px%22,%22sapUiFontHeader1Size%22:%2226px%22,%22sapUiFontHeader2Size%22:%2220px%22,%22sapUiFontHeader3Size%22:%2218px%22,%22sapUiFontHeader4Size%22:%2216px%22,%22sapUiFontHeader5Size%22:%2214px%22,%22sapUiFontHeader6Size%22:%2213px%22,%22sapUiLineHeight%22:%2218px%22,%22sapUiChartLabelHoverColor%22:%22#007dc0%22,%22sapUiChartLabelPressedColor%22:%22#b7b7b7%22,%22sapUiChartCategoryAxisLabelFontColor%22:%22#000000%22,%22sapUiChartValueAxisLabelFontColor%22:%22#3d3d3d%22,%22sapUiChartCategoryAxisLabelFontSize%22:%220.75rem%22,%22sapUiChartValueAxisLabelFontSize%22:%220.75rem%22,%22sapUiChartCategoryAxisLineColor%22:%22#b3b3b3%22,%22sapUiChartValueAxisLineColor%22:%22#b3b3b3%22,%22sapUiChartCategoryAxisTickColor%22:%22#b3b3b3%22,%22sapUiChartValueAxisTickColor%22:%22#b3b3b3%22,%22sapUiChartBackgroundColor%22:%22transparent%22,%22sapUiChartLabelFontWeight%22:%22normal%22,%22sapUiChartLegendLabelFontColor%22:%22#000000%22,%22sapUiChartLegendTitleFontColor%22:%22#333333%22,%22sapUiChartLegendTitleFontSize%22:%220.875rem%22,%22sapUiChartLegendLabelFontSize%22:%220.75rem%22,%22sapUiChartPaletteUndefinedColor%22:%22#000000%22,%22sapUiChartGridlineColor%22:%22#cdcdcd%22,%22sapUiChartReferenceLineColor%22:%22#1a1a1a%22,%22sapUiChartDataLabelFontColor%22:%22#000000%22,%22sapUiChartReferenceLineLabelColor%22:%22#000000%22,%22sapUiChartDataLabelFontSize%22:%220.75rem%22,%22sapUiChartPopoverDataItemFontColor%22:%22#000000%22,%22sapUiChartPopoverGroupFontColor%22:%22#000000%22,%22sapUiChartPopoverDataItemFontSize%22:%220.875rem%22,%22sapUiChartPopoverGroupFontSize%22:%220.875rem%22,%22sapUiChartPopoverGroupFontWeight%22:%22bold%22,%22sapUiChartScrollBarThumbColor%22:%22#ffffff%22,%22sapUiChartScrollBarTrackColor%22:%22#ffffff%22,%22sapUiChartScrollBarThumbHoverColor%22:%22#000000%22,%22sapUiChartMainTitleFontColor%22:%22#333333%22,%22sapUiChartAxisTitleFontColor%22:%22#333333%22,%22sapUiChartMainTitleFontSize%22:%221rem%22,%22sapUiChartAxisTitleFontSize%22:%220.875rem%22,%22sapUiChartTitleFontWeight%22:%22bold%22,%22sapUiChartLightText%22:%22#3d3d3d%22,%22sapUiChartZeroAxisColor%22:%22#4d4d4d%22,%22sapUiChartDataPointBorderColor%22:%22#ffffff%22,%22sapUiChartDataPointBorderHoverSelectedColor%22:%22#4d4d4d%22,%22sapUiChartDataPointNotSelectedBackgroundOpacity%22:%220.6%22,%22sapUiChartValueAxisLineOpacity%22:%220%22,%22sapUiChartCategoryAxisLabelFontHoverColor%22:%22#000000%22,%22sapUiChartCategoryAxisLabelFontPressedColor%22:%22#000000%22,%22sapUiChartTargetColor%22:%22#1a1a1a%22,%22sapUiChartTargetShadowColor%22:%22#ffffff%22,%22sapUiChartBubbleBGOpacity%22:%220.8%22,%22sapUiChartScrollbarBorderColor%22:%22#d9d9d9%22,%22sapUiChartScrollbarBorderSize%22:%220%22,%22sapUiChartScrollbarThumbPadding%22:%220%22,%22sapUiChartNegativeLargeText%22:%22#d32030%22,%22sapUiChartCriticalLargeText%22:%22#e17b24%22,%22sapUiChartPositiveLargeText%22:%22#61a656%22,%22sapUiChartNeutralLargeText%22:%22#69767c%22,%22sapUiChartDataPointBG%22:%22#d5dadc%22,%22sapUiChartDataPointBGBorderColor%22:%22#d5dadc%22,%22sapUiChartDataLineColorWithBG%22:%22#1a1a1a%22,%22sapUiChartDataLineColor%22:%22#1a1a1a%22,%22sapUiChartRadialRemainingCircle%22:%22#e3e6e7%22,%22sapUiChartRadialRemainingCircleBorderColor%22:%22#e3e6e7%22,%22sapUiChartRadialBG%22:%22#ffffff%22,%22sapUiChartPaletteQualitativeHue1%22:%22#5cbae6%22,%22sapUiChartPaletteQualitativeHue2%22:%22#b6d957%22,%22sapUiChartPaletteQualitativeHue3%22:%22#fac364%22,%22sapUiChartPaletteQualitativeHue4%22:%22#8cd3ff%22,%22sapUiChartPaletteQualitativeHue5%22:%22#d998cb%22,%22sapUiChartPaletteQualitativeHue6%22:%22#f2d249%22,%22sapUiChartPaletteQualitativeHue7%22:%22#93b9c6%22,%22sapUiChartPaletteQualitativeHue8%22:%22#ccc5a8%22,%22sapUiChartPaletteQualitativeHue9%22:%22#52bacc%22,%22sapUiChartPaletteQualitativeHue10%22:%22#dbdb46%22,%22sapUiChartPaletteQualitativeHue11%22:%22#98aafb%22,%22sapUiChartPaletteSemanticBadLight3%22:%22#f09ca4%22,%22sapUiChartPaletteSemanticBadLight2%22:%22#e9707b%22,%22sapUiChartPaletteSemanticBadLight1%22:%22#e34352%22,%22sapUiChartPaletteSemanticBad%22:%22#d32030%22,%22sapUiChartPaletteSemanticBadDark1%22:%22#a71926%22,%22sapUiChartPaletteSemanticBadDark2%22:%22#911621%22,%22sapUiChartPaletteSemanticCriticalLight3%22:%22#f3ccab%22,%22sapUiChartPaletteSemanticCriticalLight2%22:%22#edb17e%22,%22sapUiChartPaletteSemanticCriticalLight1%22:%22#e79651%22,%22sapUiChartPaletteSemanticCritical%22:%22#e17b24%22,%22sapUiChartPaletteSemanticCriticalDark1%22:%22#b96319%22,%22sapUiChartPaletteSemanticCriticalDark2%22:%22#a25716%22,%22sapUiChartPaletteSemanticGoodLight3%22:%22#bedbba%22,%22sapUiChartPaletteSemanticGoodLight2%22:%22#9fca98%22,%22sapUiChartPaletteSemanticGoodLight1%22:%22#80b877%22,%22sapUiChartPaletteSemanticGood%22:%22#61a656%22,%22sapUiChartPaletteSemanticGoodDark1%22:%22#4d8445%22,%22sapUiChartPaletteSemanticGoodDark2%22:%22#44743c%22,%22sapUiChartPaletteSemanticNeutralLight3%22:%22#d5dadc%22,%22sapUiChartPaletteSemanticNeutralLight2%22:%22#bac1c4%22,%22sapUiChartPaletteSemanticNeutralLight1%22:%22#9ea8ad%22,%22sapUiChartPaletteSemanticNeutral%22:%22#848f94%22,%22sapUiChartPaletteSemanticNeutralDark1%22:%22#69767c%22,%22sapUiChartPaletteSemanticNeutralDark2%22:%22#5e696e%22,%22sapUiChartPaletteSequentialHue1Light3%22:%22#abdbf2%22,%22sapUiChartPaletteSequentialHue1Light2%22:%22#84caec%22,%22sapUiChartPaletteSequentialHue1Light1%22:%22#5cbae5%22,%22sapUiChartPaletteSequentialHue1%22:%22#27a3dd%22,%22sapUiChartPaletteSequentialHue1Dark1%22:%22#1b7eac%22,%22sapUiChartPaletteSequentialHue1Dark2%22:%22#156489%22,%22sapUiChartPaletteSequentialHue2Light3%22:%22#d7eaa2%22,%22sapUiChartPaletteSequentialHue2Light2%22:%22#c6e17d%22,%22sapUiChartPaletteSequentialHue2Light1%22:%22#b6d957%22,%22sapUiChartPaletteSequentialHue2%22:%22#9dc62d%22,%22sapUiChartPaletteSequentialHue2Dark1%22:%22#759422%22,%22sapUiChartPaletteSequentialHue2Dark2%22:%22#5b731a%22,%22sapUiChartPaletteSequentialHue3Light3%22:%22#fde5bd%22,%22sapUiChartPaletteSequentialHue3Light2%22:%22#fbd491%22,%22sapUiChartPaletteSequentialHue3Light1%22:%22#fac364%22,%22sapUiChartPaletteSequentialHue3%22:%22#f8ac29%22,%22sapUiChartPaletteSequentialHue3Dark1%22:%22#dd8e07%22,%22sapUiChartPaletteSequentialHue3Dark2%22:%22#b57506%22,%22sapUiChartPaletteSequentialNeutralLight3%22:%22#d5dadc%22,%22sapUiChartPaletteSequentialNeutralLight2%22:%22#bac1c4%22,%22sapUiChartPaletteSequentialNeutralLight1%22:%22#9ea8ad%22,%22sapUiChartPaletteSequentialNeutral%22:%22#848f94%22,%22sapUiChartPaletteSequentialNeutralDark1%22:%22#69767c%22,%22sapUiChartPaletteSequentialNeutralDark2%22:%22#5e696e%22,%22sapUiChoroplethBG%22:%22#f7f7f8%22,%22sapUiChoroplethRegionBorder%22:%22#e6e6e6%22,%22sapUiChoroplethRegionBG%22:%22#bac1c4%22,%22sapUiMapLegendBG%22:%22#ffffff%22,%22sapUiMapLegendBorderColor%22:%22#b3b3b3%22,%22sapUiShellHoverBackground%22:%22#bd8700%22,%22sapUiShellActiveBackground%22:%22#996d00%22,%22sapUiShellActiveTextColor%22:%22#ffffff%22,%22sapUiShellHoverToggleBackground%22:%22#4d3700%22,%22sapUiUx3ShellHeaderColor%22:%22#000000%22,%22sapUiUx3ShellBackgroundColor%22:%22#f2f2f2%22,%22sapUiUx3ShellHoverColor%22:%22#666666%22,%22sapUiUx3ShellGradientBottom%22:%22#2c2c2c%22,%22sapUiUx3ShellGradientTop%22:%22#616467%22,%22sapUiUx3ShellToolPaletteIconFontColor%22:%22#8899aa%22,%22sapUiUx3ExactLstExpandOffset%22:%22-1 -2%22,%22sapUiUx3ExactLstRootExpandOffset%22:%220 3%22,%22sapUiUx3ExactLstContentTop%22:%2226px%22,%22sapUiLinkActive%22:%22#00679e%22,%22sapUiLinkVisited%22:%22#00679e%22,%22sapUiLinkHover%22:%22#00679e%22,%22sapUiLinkInverted%22:%22#1fb1ff%22,%22sapUiNotificationBarBG%22:%22rgba%2868, 68, 68, 0.92%29%22,%22sapUiNotifierSeparator%22:%22#999999%22,%22sapUiNotifierSeparatorWidth%22:%222px%22,%22sapUiNotificationBarBorder%22:%22rgba%2868, 68, 68, 0.92%29%22,%22sapUiUx3ToolPopupInverted%22:%22true%22,%22sapUiUx3ToolPopupArrowRightMarginCorrection%22:%22-2px%22,%22sapUiUx3ToolPopupShadow%22:%220px 6px 12px 0px rgba%280, 0, 0, 0.3%29%22,%22sapUiCalloutShadow%22:%220px 6px 12px 0px rgba%280, 0, 0, 0.3%29%22,%22sapUiButtonIconColor%22:%22#000000%22,%22sapUiButtonActiveBackground%22:%22#666666%22,%22sapUiButtonActiveBorderColor%22:%22#333333%22,%22sapUiButtonActiveTextColor%22:%22#ffffff%22,%22sapUiButtonEmphasizedHoverBackground%22:%22#fdcd34%22,%22sapUiButtonEmphasizedHoverBorderColor%22:%22#5b4501%22,%22sapUiButtonEmphasizedActiveBackground%22:%22#e8b102%22,%22sapUiButtonEmphasizedActiveBorderColor%22:%22#5b4501%22,%22sapUiButtonEmphasizedTextShadow%22:%22rgba%280, 0, 0, 0.5%29%22,%22sapUiButtonAcceptBorderColor%22:%22#005725%22,%22sapUiButtonAcceptHoverBackground%22:%22#008a3b%22,%22sapUiButtonAcceptHoverBorderColor%22:%22#000000%22,%22sapUiButtonAcceptActiveBackground%22:%22#007130%22,%22sapUiButtonAcceptActiveBorderColor%22:%22#000000%22,%22sapUiButtonAcceptTextColor%22:%22#ffffff%22,%22sapUiButtonRejectBorderColor%22:%22#c31818%22,%22sapUiButtonRejectHoverBackground%22:%22#e52929%22,%22sapUiButtonRejectHoverBorderColor%22:%22#520a0a%22,%22sapUiButtonRejectActiveBackground%22:%22#da1a1a%22,%22sapUiButtonRejectActiveBorderColor%22:%22#520a0a%22,%22sapUiButtonRejectTextColor%22:%22#ffffff%22,%22sapUiButtonLiteBackground%22:%22transparent%22,%22sapUiButtonLiteBorderColor%22:%22transparent%22,%22sapUiButtonLiteTextColor%22:%22#00669c%22,%22sapUiButtonLiteHoverBackground%22:%22rgba%280, 69, 105, 0.5%29%22,%22sapUiButtonLiteHoverBorderColor%22:%22rgba%280, 69, 105, 0.5%29%22,%22sapUiButtonLiteActiveBackground%22:%22#666666%22,%22sapUiButtonLiteActiveBorderColor%22:%22#666666%22,%22sapUiButtonHeaderTextColor%22:%22#222222%22,%22sapUiButtonHeaderDisabledTextColor%22:%22#222222%22,%22sapUiButtonFooterTextColor%22:%22#222222%22,%22sapUiButtonFooterHoverBackground%22:%22rgba%280, 69, 105, 0.5%29%22,%22sapUiButtonActionSelectBackground%22:%22#ffffff%22,%22sapUiButtonActionSelectBorderColor%22:%22#ebebeb%22,%22sapUiButtonLiteActionSelectHoverBackground%22:%22#f7f7f7%22,%22sapUiToggleButtonPressedBackground%22:%22#007dc0%22,%22sapUiToggleButtonPressedBorderColor%22:%22#00669c%22,%22sapUiToggleButtonPressedTextColor%22:%22#ffffff%22,%22sapUiToggleButtonPressedHoverBackground%22:%22#00669c%22,%22sapUiToggleButtonPressedHoverBorderColor%22:%22#00669c%22,%22sapUiToggleButtonPressedDisabledBackground%22:%22#cdd8de%22,%22sapUiToggleButtonPressedDisabledBorderColor%22:%22#00669c%22,%22sapUiToggleButtonPressedDisabledTextColor%22:%22#c8c8c8%22,%22sapUiSegmentedButtonBackground%22:%22#eaeaea%22,%22sapUiSegmentedButtonBorderColor%22:%22#b7b7b7%22,%22sapUiSegmentedButtonTextColor%22:%22#222222%22,%22sapUiSegmentedButtonHoverBackground%22:%22#007dc0%22,%22sapUiSegmentedButtonActiveBackground%22:%22#666666%22,%22sapUiSegmentedButtonActiveTextColor%22:%22#ffffff%22,%22sapUiSegmentedButtonSelectedBackground%22:%22#666666%22,%22sapUiSegmentedButtonSelectedTextColor%22:%22#ffffff%22,%22sapUiSegmentedButtonSelectedHoverBackground%22:%22#595959%22,%22sapUiSegmentedButtonSelectedHoverBorderColor%22:%22#595959%22,%22sapUiSegmentedButtonIconColor%22:%22#000000%22,%22sapUiSegmentedButtonActiveIconColor%22:%22#ffffff%22,%22sapUiSegmentedButtonSelectedIconColor%22:%22#ffffff%22,%22sapUiSegmentedButtonFooterBorderColor%22:%22#b7b7b7%22,%22sapUiSegmentedButtonFooterHoverBackground%22:%22#007dc0%22,%22sapUiFieldActiveBackground%22:%22#007dc0%22,%22sapUiFieldActiveBorderColor%22:%22#007dc0%22,%22sapUiFieldActiveTextColor%22:%22#ffffff%22,%22sapUiFieldPlaceholderTextColor%22:%22#707070%22,%22sapUiListTextColor%22:%22#333333%22,%22sapUiListVerticalBorderColor%22:%22#d5d5d5%22,%22sapUiListActiveBackground%22:%22#007dc0%22,%22sapUiListActiveTextColor%22:%22#ffffff%22,%22sapUiListSelectionHoverBackground%22:%22#c4e1f1%22,%22sapUiListFooterBackground%22:%22#ffffff%22,%22sapUiListFooterTextColor%22:%22#000000%22,%22sapUiListGroupHeaderBackground%22:%22#ffffff%22,%22sapUiListTableGroupHeaderBackground%22:%22#f2f2f2%22,%22sapUiListTableGroupHeaderBorderColor%22:%22#c4c4c4%22,%22sapUiListTableGroupHeaderTextColor%22:%22#333333%22,%22sapUiListTableFooterBorder%22:%22#c4c4c4%22,%22sapUiListTableFixedBorder%22:%22#919191%22,%22sapUiListTableTextSize%22:%220.875rem%22,%22sapUiListTableIconSize%22:%221rem%22,%22sapUiPageFooterBorderColor%22:%22#ebebeb%22,%22sapUiInfobarHoverBackground%22:%22#ebebeb%22,%22sapUiInfobarActiveBackground%22:%22#d9d9d9%22,%22sapUiCalendarColorToday%22:%22#ffc51c%22,%22sapUiShadowLevel0%22:%220 0 0.125rem 0 rgba%280, 0, 0, 0.3%29%22,%22sapUiShadowLevel1%22:%220 0.125rem 0.375rem 0 rgba%280, 0, 0, 0.2%29, 0 0 0.125rem 0 rgba%280, 0, 0, 0.3%29%22,%22sapUiShadowLevel2%22:%220 0.375rem 0.75rem 0 rgba%280, 0, 0, 0.3%29, 0 0 0.125rem 0 rgba%280, 0, 0, 0.3%29%22,%22sapUiShadowLevel3%22:%220 1.25rem 2rem 0 rgba%280, 0, 0, 0.5%29, 0 0 0.125rem 0 rgba%280, 0, 0, 0.3%29%22,%22sapUiShadowText%22:%220 1px rgba%28255, 255, 255, 0.5%29%22,%22sapUiShadowHeader%22:%220 0.125rem 0 0 #ffffff%22,%22sapUiUx3ShellHeaderImageURL%22:%22%22,%22sapUiUx3ShellApplicationImageURL%22:%22none%22,%22sapUiPurple%22:%22#ab218e%22,%22sapUiOrange%22:%22#f27020%22,%22sapUiGreen%22:%22#008a3b%22,%22sapUiBlue%22:%22#007cc0%22,%22sapUiRed%22:%22#e52929%22,%22sapUiYellow%22:%22#f0ab00%22,%22sapUiBase%22:%22#7f7f7f%22,%22sapUiBaseBorder%22:%22#808080%22,%22sapUiBaseLine%22:%22#808080%22,%22sapUiWhite%22:%22#ffffff%22,%22sapUiWhiteBG%22:%22#ffffff%22,%22sapUiExtraLightBG%22:%22#f2f2f2%22,%22sapUiLightBG%22:%22#e5e5e5%22,%22sapUiMediumBG%22:%22#dddddd%22,%22sapUiDarkBG%22:%22#666666%22,%22sapUiDeepBG%22:%22#2c2c2c%22,%22sapUiBlackBG%22:%22#000000%22,%22sapUiHoverBG%22:%22#e5f2f8%22,%22sapUiMediumAltBG%22:%22#b8c2cc%22,%22sapUiDarkAltBG%22:%22#606366%22,%22sapUiButtonStandardBG%22:%22#e2e2e2%22,%22sapUiButtonEmphasizedBG%22:%22#fdc411%22,%22sapUiButtonNegativeBG%22:%22#e52929%22,%22sapUiButtonPositiveBG%22:%22#008a3b%22,%22sapUiReadOnlyBG%22:%22#eaedf0%22,%22sapUiExtraLightText%22:%22#707070%22,%22sapUiLightText%22:%22#666666%22,%22sapUiMediumText%22:%22#444444%22,%22sapUiDarkText%22:%22#333333%22,%22sapUiDeepText%22:%22#222222%22,%22sapUiText%22:%22#000000%22,%22sapUiTextInverted%22:%22#ffffff%22,%22sapUiWhiteBorder%22:%22#ffffff%22,%22sapUiExtraLightBorder%22:%22#e5e5e5%22,%22sapUiLightBorder%22:%22#dddddd%22,%22sapUiMediumBorder%22:%22#cccccc%22,%22sapUiDarkBorder%22:%22#bfbfbf%22,%22sapUiBlackBorder%22:%22#000000%22,%22sapUiElement%22:%22#d3d3d3%22,%22sapUiInvertedElement%22:%22#ffffff%22,%22sapUiLightLine%22:%22#cccccc%22,%22sapUiMediumLine%22:%22#999999%22,%22sapUiEmphasizedLine%22:%22#007dc0%22,%22sapUiDarkLine%22:%22#333333%22,%22sapUiLightShadowTint%22:%22#ffffff%22,%22sapUiDarkShadowTint%22:%22#000000%22,%22sapUiFocus%22:%22#005583%22,%22sapUiInvertedFocus%22:%22#ffffff%22,%22sapUiTableRowBG%22:%22#ffffff%22,%22sapUiTableRowAlternatingBG%22:%22#eff7fb%22,%22sapUiTableRowSelectionBG%22:%22#d1e9f4%22,%22sapUiTableRowSelectionReadOnlyBG%22:%22#c9e1ed%22,%22sapUiTableRowHoverBG%22:%22#e5f2f8%22,%22sapUiListBG%22:%22#f7f7f7%22,%22sapUiTextColor%22:%22#008000%22,%22sapUiTextTitleColor%22:%22#008000%22,%22sapUiTextSelectionColor%22:%22#008000%22,%22sapUiTextDisabled%22:%22#999999%22,%22sapUiTextSelection%22:%22#ffffff%22,%22sapUiTextfieldBackground%22:%22#ffffff%22,%22sapUiFontMonospaceFamily%22:%22Lucida Console%22,%22sapUiUx3ShellSideBarBaseWidth%22:%2240px%22,%22sapUiUx3ShellPaneOverflowButtonHeight%22:%22120px%22,%22sapUiUx3ExactLstCollapseWidth%22:%2224px%22,%22sapUiUx3ExactLstHeaderHeight%22:%2225px%22,%22sapUiNotificationBarBG_IE%22:%22#444444%22,%22sapUiNotifierHoverColor%22:%22#007dc0%22,%22sapUiNotificationText%22:%22#ffffff%22,%22sapUiNotificationTimestamp%22:%22#ababab%22,%22sapUiNotificationBarCalloutBorder%22:%22rgba%2868, 68, 68, 0%29%22,%22sapUiNotificationBarCalloutBorder_IE%22:%22#444444%22,%22sapUiNotificationBarCalloutArr%22:%22rgba%2868, 68, 68, 0.92%29%22,%22sapUiNotificationBarHeight%22:%2240px%22,%22sapUiNotificationBarHeightMinimized%22:%220px%22,%22sapUiNotificationBarHeightMaximized%22:%2240%25%22,%22sapUiNotifierWidth%22:%2240px%22,%22sapUiRIIconPaddingXS%22:%221px%22,%22sapUiRIIconPaddingS%22:%220.125rem%22,%22sapUiRIIconPaddingM%22:%220.125rem%22,%22sapUiRIIconPaddingL%22:%220.25rem%22,%22sapUiUx3ToolPopupArrowWidth%22:%2213px%22,%22sapUiUx3ToolPopupArrowHeight%22:%2220px%22,%22sapUiUx3ToolPopupArrowRightMarginCorrectionInverted%22:%22-7px%22,%22sapUiUx3TPPaddingBottom%22:%2250px%22,%22sapUiButtonEmphasizedDisabledBorderColor%22:%22#8d6b01%22,%22sapUiButtonEmphasizedDisabledBackground%22:%22#fdc411%22,%22sapUiButtonAcceptDisabledBorderColor%22:%22#005725%22,%22sapUiButtonAcceptDisabledBackground%22:%22#008a3b%22,%22sapUiButtonRejectDisabledBorderColor%22:%22#c31818%22,%22sapUiButtonRejectDisabledBackground%22:%22#e52929%22,%22sapUiPositiveBG%22:%22#c0ead2%22,%22sapUiShadowTint%22:%22#000000%22,%22sapUiShadow%22:%220px 4px 17px rgba%280, 0, 0, 0.4%29%22,%22sapUiThemeDesignerCustomCss%22:%22false%22,%22sapUiMarginTiny%22:%220.5rem%22,%22sapUiMarginSmall%22:%221rem%22,%22sapUiMarginMedium%22:%222rem%22,%22sapUiMarginLarge%22:%223rem%22,%22sapUiEscapedEmptyString%22:%22%22,%22sapUiHighlightText%22:%22#ffffff%22,%22sapUiPositiveBorder%22:%22#007833%22,%22sapUiHeaderBGCrystal%22:%22#007cc0%22,%22sapUiNotficationTimestamp%22:%22#aaaaaa%22,%22sapUiToggleButtonHoverBorderColor%22:%22#007dc0%22,%22sapUiTableRowHeight%22:%2228px%22,%22sapUiTableColHdrHeight%22:%2228px%22,%22sapUiTableRowHdrWidth%22:%2222px%22,%22sapUiTableToolbarDesign%22:%22Transparent%22,%22sapUiTableCozyRowHdrWidth%22:%223rem%22,%22sapUiTableCozyRowHdrHeight%22:%223rem%22,%22_sapUiTableGroupIconHeightDefault%22:%2228px%22,%22_sapUiTableGroupIconHeightCondensed%22:%2228px%22,%22_sapUiTableGroupIconHeightCozy%22:%2228px%22,%22_sapUiTableGroupHeaderBackground%22:%22#e5e5e5%22,%22_sapUiTableGroupOutlineWidth%22:%221px%22,%22_sapUiTableGroupIconBorderWidth%22:%221px%22,%22_sapUiTableGroupIconFontSize%22:%2212px%22%7D')}